# <span style="color: #d22;font-style:italic;">bpost</span> Shipping manager
---


* [Overview](#Overview)
* [What this module does for you](#What-this-module-does-for-you)
* [Features](#Features)
* [Installation](#Installation)
* [What's new](#What’s-New)



---
### Overview

<span style="color:#B22222">**Three delivery methods in
Belgium**</span>  
   
With Shipping Manager, you integrate our three delivery methods directly
into your online shop, so your customers are able to choose the one they
prefer.
-   **To a private address**: such as home, office or a family member.
-   **To one of our 1250 pick-up points**: post offices or post points
    like supermarkets (Delhaize, Spar), bookshops (Press Shop, Relay),
    service stations (Total, Q8) and neighbourhood stores.
-   **To one of our 150 parcel lockers**: ideally situated in high
    footfall locations, stations and shopping centres.

  
<span style="color:#A52A2A">**Simplifying your logistics**</span>  
   
With the Shipping Manager, your customers select their delivery method
when they place their order online. You just need to take care of the
practical aspects.
-   **Follow-up and preparation** of your parcels
-   Creation of **shipping and return labels**, both domestic and
    international
-   **Management** of parcels shipments
-   **Tracking**  of your parcels

   
This add-on is available for free to all customers who have a signed
parcels contract with bpost.  
  
 
---
### What this module does for you

Shipping Manager is an application that helps you manage your parcel
shipments and create your **shipping and return labels, both domestic
and international.**  
  
• Easy to integrate, **plug and play**.  
  
• **Simple integration** in your online shop: during the order process
your customers will not even notice they have been transferred to
Shipping Manager  
  
• Immediate access to the three **bpost delivery methods**:  
  
o Home delivery  
o Delivery to a pick-up point  
o Delivery to a parcel locker  
  
• **Management of your parcel deliveries** through the Administration
module (label printing, parcel tracking, parcel preparation
follow-up).  
  
• Thanks to its **adaptive design**, the graphical user interface
automatically changes to suit the customer’s viewing device (smartphone,
tablet, PC).  
  
• **Configuration of prices** based on delivery method, immediately
visible in the online shop  
  
• **Access to the most popular options** for your shipments (signature,
basic insurance, automatic second presentation)  
  
• Printing directly from the backend of Prestashop  
  
• Track and trace your parcels online from the backend&lt;/


---
### Features

-   The bpost Prestashop module is compatible with versions 1.4.x 1.5.x.
    et 1.6.x
-   Plug and play: Activate it in your Prestashop Module menu. (1.5
    and 1.6)


---
### What your customers will like

-   Access to all bpost delivery methods (to an address, to one of the
    1250 pick-up points, to one of the 150 parcel lockers)
-   Adaptive design to improve the consumer’s buying experience
-   The assurance of delivery by a trusted person, the bpost post woman
    or man


---
### Installation

Follow the instructions in our [<span style="color:#000080">online
documentation</span>] or contact bpost for technical support at
shippingmanager@bpost.be. 
 

  [<span style="color:#000080">online documentation</span>]: http://bpost.freshdesk.com/support/solutions/articles/128584
  

---
### What’s New

Version: **1.40**.0
<span style="margin-left:60px;color:#aaa;font-size:.9em;">23-09-2016</span>

-   Custom store details ( per shop / store )
-   Ability to choose existing PrestaShop order states as "final" ( per shop )
-   Automatic creation of extra labels to support heavy orders ( > 30kg )


Version: **1.30**.4
<span style="margin-left:60px;color:#aaa;font-size:.9em;">04-08-2016</span>

-   Final version to support PrestaShop 1.4
-   Added possibility to customize JS selector in checkout
